Bug 1481828 - [RFE] osd: osd_scrub_during_recovery only considers primary, not replicas [NEEDINFO]
Summary: [RFE] osd: osd_scrub_during_recovery only considers primary, not replicas
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 2.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 3.0
Assignee: Josh Durgin
QA Contact: David Zafman
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-08-15 20:13 UTC by Vikhyat Umrao
Modified: 2017-12-05 23:39 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-12.2.0-1.el7cp Ubuntu: ceph_12.2.0-2redhat1xenial
Doc Type: Enhancement
Doc Text:
.Scrubbing is blocked for any PG if the primary or any replica OSDs are recovering The `osd_scrub_during_recovery` parameter now defaults to `false`, so that when an OSD is recovering, the scrubbing process is not initialized on it. Previously, `osd_scrub_during_recovery` was set to `true` by default allowing scrubbing and recovery to run simultaneously. In addition, in previous releases if the user set `osd_scrub_during_recovery` to `false`, only the primary OSD was checked for recovery activity.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:39:05 UTC
Target Upstream Version:
kdreyer: needinfo? (ceph-qe-bugs)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 18206 None None None 2017-08-15 20:16:25 UTC
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Vikhyat Umrao 2017-08-15 20:13:21 UTC
Description of problem:
osd: osd_scrub_during_recovery only considers primary, not replicas
http://tracker.ceph.com/issues/18206

Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 2.3

Comment 9 Ramakrishnan Periyasamy 2017-11-07 09:31:57 UTC
Moving this bug to verified state.

Scrub not started till recovery cluster became active+clean.

Default value of "osd_scrub_during_recovery" param

[root@host028 ceph]# ceph --admin-daemon ceph-mon.magna028.asok config get osd_scrub_during_recovery
{
    "osd_scrub_during_recovery": "false"
}

more console logs available in this privatebin link

https://privatebin-it-iso.int.open.paas.redhat.com/?6eec2fb8e6a11dcc#DBksJju4Z2GLMqexvkLhcpubwZ9hxZCBfwZz75UbB28=

Comment 12 errata-xmlrpc 2017-12-05 23:39:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.